Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.framestore
Class Registration

    java.lang.Object
      edu.stanford.smi.protege.server.framestore.Registration

    public class Registration

extends Object

Author:
  Ray Fergerson Description of this class

Constructor Summary
`Registration(FifoWriter<AbstractEvent> events, FifoWriter<ValueUpdate> updates)`

Method Summary
`void` | `addCommittableUpdate(ValueUpdate vu)`
`void` | `clearCommits()`
`void` | `endTransaction()`
`BandWidthPolicy` | `getBandWidthPolicy()`
`List<ValueUpdate>` | `getCommits()`
`FifoReader<AbstractEvent>` | `getEvents()`
`long` | `getLastHeartbeat()`
`FifoReader<ValueUpdate>` | `getUpdates()`
`void` | `setLastHeartbeat(long lastHeartbeat)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Registration

    public Registration(FifoWriter<AbstractEvent> events,
                        FifoWriter<ValueUpdate> updates)

Method Detail

### getEvents

    public FifoReader<AbstractEvent> getEvents()

### getUpdates

    public FifoReader<ValueUpdate> getUpdates()

### addCommittableUpdate

    public void addCommittableUpdate(ValueUpdate vu)

### getCommits

    public List<ValueUpdate> getCommits()

### clearCommits

    public void clearCommits()

### endTransaction

    public void endTransaction()

### getBandWidthPolicy

    public BandWidthPolicy getBandWidthPolicy()

### getLastHeartbeat

    public long getLastHeartbeat()

### setLastHeartbeat

    public void setLastHeartbeat(long lastHeartbeat)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.